# Generated from nexpose_servicenow-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nexpose_servicenow

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: Gem for Nexpose-ServiceNow integration
License: MIT
URL: http://www.rapid7.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.5
BuildArch: noarch

%description
As of June 4, 2019, the ServiceNow SecOps/Vulnerability Response Ruby Gem 
has been deprecated and is no longer available for use. An updated integration
is currently available in product for ServiceNow ITSM and Secops, the setup 
instructions for both of which can be found here: 
https://insightvm.help.rapid7.com/docs/servicenow
For more information please see our announcement which can be found here: 
https://kb.help.rapid7.com/docs/servicenow-ruby-gem-end-of-life-announcement.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/nexpose_servicenow
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nexpose_servicenow.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.8.1-1
- Initial package
